Run a directory (LDAP) sync now
POST
/api/v1/directory:sync
const url = 'https://example.com/api/v1/directory:sync';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/directory:sync \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
object
created
required
integer
disabled
required
integer
skipped
required
integer
unchanged
required
integer
updated
required
integer
warnings
Array<string>
Examplegenerated
{ "created": 1, "disabled": 1, "skipped": 1, "unchanged": 1, "updated": 1, "warnings": [ "example" ]}default
Section titled “default”Problem Details (RFC 9457)
Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}